Bug 550645

Summary: Lenovo IdeaPad U350 : thinkpad-acpi are not loaded
Product: [Fedora] Fedora Reporter: Marian Zsemlye <m.zsemlye>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 12CC: anton, dougsland, extras-orphan, gansalmon, genneth, itamar, jonathan, kernel-maint, notting, pahan
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 20:12:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Marian Zsemlye 2009-12-26 11:31:00 EST
Description of problem:
After system install is not possible to set the screen backlight. System do nothing. Modprobe thinkpad-acpi cant be loaded (no such device).
The is also no way to control the power or fan speed.

Version-Release number of selected component (if applicable):


How reproducible:
Install F12 on Lenovo IdeaPad U350

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Totally not working

Expected results:
thinkpad-acpi will be loaded, or as minimum, screen brightness can be configured

Additional info:
Comment 1 Wart 2010-01-09 19:36:37 EST
This is clearly not a bwidget bug.  Reassigning to the proper component.
Comment 2 Bug Zapper 2010-11-03 22:30:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Marian Zsemlye 2010-11-04 11:30:27 EDT
This problem is in Fedora13 and also in new Fedora 14.
Comment 4 Gen Zhang 2010-11-30 14:16:56 EST
This has nothing to do with thinkpad-acpi.

I believe the problem is that once KMS is active, the ACPI no longer controls the backlight of the laptop. The workaround is to issue:

$ sudo setpci -s 00:02.0 F4.B=5F

Replace 00:02.0 with whatever PCI address your graphics card actually lives on (see output from lspci).
Comment 5 Bill Nottingham 2010-11-30 14:52:40 EST
This should be fixed in 2.6.36.
Comment 6 Bug Zapper 2010-12-03 20:12:29 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.